Bug 145299 - MSSQL module retrieves unexpected results
Summary: MSSQL module retrieves unexpected results
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: php   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL: http://bugs.php.net/?id=31135
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-17 05:27 UTC by Ezequiel Tolnay
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 15:38:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ezequiel Tolnay 2005-01-17 05:28:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040707 Firefox/0.8

Description of problem:
Built from the SRPM package in the following way "rpmbuild --rebuild
--define '_with_mssql 1' php-4.3.10-2.4.src.rpm", the php packages
will fail to execute most mssql stored procedures. This doesn't happen
in previous versions such as php-4.3.8-2.1.src.rpm and
php-4.3.4-11.src.rpm. In all cases the FreeTDS library used is
freetds-0.62.3-1.dag.src.rpm (built from SRPM).

A series of applications that access mssql databases started to behave
erratically after upgrading to php-4.3.10-2.4, failing to retrieve the
results from the execution many stored procedures. I was forced to
restore the previous release of PHP to bring the websites back to normal.

Version-Release number of selected component (if applicable):
php-4.3.10-2.4

How reproducible:
Didn't try


Additional info:

Comment 1 Joe Orton 2005-01-17 08:15:41 UTC
This is a known issue in 4.3.10, fixed upstream for 4.3.11.

Comment 2 Matthew Miller 2005-04-26 15:08:59 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.